Skip to content
EN

获取任务进度(predictions (免费

方法: GET路径: /replicate/v1/predictions/{task_id}

请求参数

Path 参数

text
task_id
string
必需

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
object
示例
{
}

请求示例代码

Shell

bash
curl --location --request GET '/replicate/v1/predictions/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "id": "yh6y8mbqb1rma0cn8b3vt6038g",
    "model": "black-forest-labs/flux-1.1-pro",
    "version": "hidden",
    "input": {
        "prompt": "black forest gateau cake spelling out the words \"FLUX 1.1 Pro\", tasty, food photography",
        "prompt_upsampling": true
    },
    "logs": "Running prediction... \nUsing seed: 41298\nGenerating image...\nGenerated image in 3.1sec\nDownloaded image in 0.14sec",
    "output": "https://replicate.delivery/xezq/sdDXTQiAZZJCOJgOLMfCgV8IjTjamMntZMPoumR0qkb39mJKA/tmp_qgdk_lm.webp",
    "data_removed": false,
    "error": null,
    "status": "succeeded",
    "created_at": "2025-02-26T15:02:03.352Z",
    "started_at": "2025-02-26T15:02:03.35548709Z",
    "completed_at": "2025-02-26T15:02:06.631103656Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/yh6y8mbqb1rma0cn8b3vt6038g/cancel",
        "get": "https://api.replicate.com/v1/predictions/yh6y8mbqb1rma0cn8b3vt6038g",
        "stream": "https://stream.replicate.com/v1/files/bcwr-dddrbppl2gcxy7w3r2e35ldibyrz426usowhrkp5wbikxxylvwia"
    },
    "metrics": {
        "image_count": 1,
        "predict_time": 3.275616567
    }
}